Metasploit 4.8.1 Update 2013120401

Document created by Brandon Turner Employee on Dec 2, 2013
Version 1Show Document
  • View in full screen mode

Summary

This update includes 14 new modules, including exploits for Netgear ReadyBAS, Apache Roller, Cisco Prime Data Center Network Manager, Kimai, Microsoft Silverlight, ActiveX, TIFF, and ABB MicroSCADA.  It also contains new modules for ZyXEL, Ruby on Rails, OpenMind, Oracle ILO Manager, OSX, and Windows.

 

In addition, this update fixes 4 issues.

 

Exploit modules

 

Auxiliary and post modules

 

Notable Changes and Resolved Issues

  • 8699 - DB_ALL_CREDS should be set to false by default
  • 8703 - Fix bug that prevented mswin_tiff_overflow from loading
  • 8705 - Detect Microsoft Silverlight
  • 8707 - Fix bug in metsvc script that referenced the wrong path to meterpreter

 

How to Upgrade

Metasploit Pro is upgraded using the Administration menu and choosing the option Software Upgrade. To see how to upgrade your Metasploit installation, view this video in the Rapid7 Community.

 

Version Information

PRO 4.8.1 updates to 4.8.1-2013120401

MSF3 4.8.1 updates to 4.8.1-2013120401

Attachments

    Outcomes